Bug 1118571 - [RFE][horizon]: Selenium integration tests for horizion sahara module.
Summary: [RFE][horizon]: Selenium integration tests for horizion sahara module.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:08 UTC by RHOS Integration
Modified: 2015-09-02 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:15:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:08:30 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/horizon-sahara-module-selenium-integration-tests.

Description:

It would be nice to have selenium integration tests for sahara module. Tests should be located under horizon integration_tests folder. Testing should be designed in the same manner as horizon testing(https://wiki.openstack.org/wiki/Horizon/Testing/UI). The folder sahara_tests should be created under integration_tests folder and contain folders regions, pages and tests. New option should be added to the run_tests.sh script with possibility to test sahara module. Certain classes should be reused from horizon integration testing(TestCase class. classes from regions module ...).

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.